using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/Reg_hand2.aspx文件
    /// </summary>
    public class 编译扩展_Club_Reg_hand2 : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Reg_hand2(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            return @"		if(!Convert.ToBoolean(程序.设置[""注册用户_是否开启注册""]))
			throw new Exception(Convert.ToString(程序.设置[""注册用户_暂停注册提示""]));
		if(!Convert.ToBoolean(程序.设置[""注册用户_是否启用手工注册""]))
			throw new Exception(""手工注册尚未启用"");
		if(!Convert.ToBoolean(Request.QueryString[""En""]))
		{
		if(Convert.ToBoolean(程序.设置[""是否防止恶意手工注册""]))
		{
			SqlCommand Club_ShouGongZhuCe2_语句=new SqlCommand(""SELECT [ID] FROM [""+程序.数据表前缀+""社区_用户] WHERE [最后登录IP]=@最后登录IP AND [创建时间]>@创建时间"",访问.连接);
			Club_ShouGongZhuCe2_语句.Parameters.Add(""@最后登录IP"",SqlDbType.NVarChar).Value=Request.UserHostAddress;
			Club_ShouGongZhuCe2_语句.Parameters.Add(""@创建时间"",SqlDbType.DateTime).Value=DateTime.Now-new TimeSpan(0,30,0);
			SqlDataReader Club_ShouGongZhuCe2_读取=Club_ShouGongZhuCe2_语句.ExecuteReader();
			bool Club_ShouGongZhuCe2_是否存在=Club_ShouGongZhuCe2_读取.HasRows;
			Club_ShouGongZhuCe2_读取.Close();
			if(Club_ShouGongZhuCe2_是否存在)
				throw new Exception(""您刚才已经注册了一个账号，不能重复注册。"");
		}
			用户 Club_ShouGongZhuCe2_用户=new 用户(this.Context,访问.连接);
			int YHID;
			String 标识=Club_ShouGongZhuCe2_用户.增加用户(out YHID);
			Club_ShouGongZhuCe2_用户.奖励积分(YHID,
				Convert.ToInt32(程序.设置[""注册用户_注册后赠送积分""]),
				Convert.ToBoolean(程序.设置[""注册用户_注册成功后消息提醒""]),
				Convert.ToString(程序.设置[""注册用户_注册成功消息内容""]));
			Response.Redirect(常用.处理地址(""Reg_hand2.aspx?En=true"",标识));
		}
		访问.验证会员();
";
        }
        private bool 是否手机号变量;

        public string 编译公共标签(string 代码)
        {
            String 返回值 = "";
            switch (代码)
            {
                case "手机号":
                    if (!是否手机号变量)
                    {
                        返回值 = "\t\t" + @"String ___手机号=new 用户(this.Context,访问.连接).获取手机号(Convert.ToInt32(访问.用户[""ID""]));
";
                        是否手机号变量 = true;
                    }
                    返回值 += "\t\t" + @"返回值.Append(___手机号);
";
                    break;
            }
            return 返回值;
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}